global:
  scrape_interval: 15s

scrape_configs:
  - job_name: 'snmp'
    static_configs:
      - targets:
          - 10.10.10.1  # SNMP device.
    metrics_path: /snmp
    params:
      module: [if_mib]  # SNMP module.
    relabel_configs:
      - source_labels: [__address__]
        target_label: __param_target
      - source_labels: [__param_target]
        target_label: instance
      - target_label: __address__
        replacement: 10.10.10.2:9116  # The SNMP exporter's real hostname:port.

  - job_name: 'pc_status'
    static_configs:
      - targets: ['localhost:8003']  # Replace with the appropriate host:port if needed.
